Get plan and usage
curl --request GET \
--url https://services.deepsmith.ai/core/api/external/v1/workspace/usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.deepsmith.ai/core/api/external/v1/workspace/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.deepsmith.ai/core/api/external/v1/workspace/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"messages": "<string>",
"data": {
"plan": {
"code": "grow",
"name": "Grow",
"period": "<string>"
},
"subscription": {
"past_due": true,
"grace": true,
"active": true,
"canceled": true,
"trial": true,
"paused": true
},
"renews_at": "2023-11-07T05:31:56Z",
"credits": {},
"limits": {},
"features": {},
"visibility": {
"prompts_tracked": 123,
"prompts_limit": "<unknown>",
"platforms": [
"chatgpt"
]
}
}
}{
"code": 4022,
"messages": "Invalid, revoked or expired API key.",
"data": null
}{
"code": 4023,
"messages": "This API key does not have the scope required for this request.",
"data": {
"required": [
"visibility:read"
],
"missing": [
"visibility:read"
]
}
}Workspace
Get plan and usage
Plan, subscription state, credit balances, plan limits and AI visibility caps. Requires workspace:read.
GET
/
workspace
/
usage
Get plan and usage
